Subject: Air freshening indoor plants??

From: [email-masked] (Craig Davis)
Date: 9 Mar 1995 14:02:12 -0500

Are there any particular indoor plants that are good for
getting rid of stale air?  Along those lines, I heard that
most plants produce relatively little usable oxygen, but
does this vary greatly among different plants?  Right now
I have a china doll, which seems to have a good effect.
Also, it seems that plant output varies with different
conditions and times of day.  With the china doll, I notice
that it smells the freshest in morning sunlight, after it's
been watered.  Of course, this is anecdotal evidence.